Issue 120180 - WaE: svx
WaE: svx
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: pavel
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 16:35 UTC by pavel
Modified: 2013-07-12 12:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description pavel 2012-07-03 16:35:15 UTC
Current trunk, waE unused arguments.

Proposed patch (self explanatory):


diff -ur svx.orig/source/svdraw/svddrgmt.cxx svx/source/svdraw/svddrgmt.cxx
--- svx.orig/source/svdraw/svddrgmt.cxx	2012-07-03 13:28:18.000000000 +0200
+++ svx/source/svdraw/svddrgmt.cxx	2012-07-03 13:28:51.000000000 +0200
@@ -184,7 +184,7 @@
 	}
 }
 
-drawinglayer::primitive2d::Primitive2DSequence SdrDragEntrySdrObject::createPrimitive2DSequenceInCurrentState(SdrDragMethod& rDragMethod)
+drawinglayer::primitive2d::Primitive2DSequence SdrDragEntrySdrObject::createPrimitive2DSequenceInCurrentState(SdrDragMethod& /* rDragMethod */)
 {
 	const SdrObject* pSource = &maOriginal;
 
diff -ur svx.orig/source/svdraw/svdoedge.cxx svx/source/svdraw/svdoedge.cxx
--- svx.orig/source/svdraw/svdoedge.cxx	2012-07-03 13:28:18.000000000 +0200
+++ svx/source/svdraw/svdoedge.cxx	2012-07-03 13:31:50.000000000 +0200
@@ -2261,7 +2261,7 @@
 }
 
 // #54102# added rotation support
-void SdrEdgeObj::NbcRotate(const Point& rRef, long nWink, double sn, double cs)
+void SdrEdgeObj::NbcRotate(const Point& rRef, long /* nWink */, double sn, double cs)
 {
     // handle start and end point if not connected
 	FASTBOOL bCon1=aCon1.pObj!=NULL && aCon1.pObj->GetPage()==pPage;
@@ -2303,7 +2303,7 @@
 }
 
 // #54102# added shear support
-void SdrEdgeObj::NbcShear(const Point& rRef, long nWink, double tn, FASTBOOL bVShear)
+void SdrEdgeObj::NbcShear(const Point& rRef, long /* nWink */, double tn, FASTBOOL bVShear)
 {
     // handle start and end point if not connected
 	FASTBOOL bCon1=aCon1.pObj!=NULL && aCon1.pObj->GetPage()==pPage;
Comment 1 SVN Robot 2012-07-12 13:59:53 UTC
"paveljanik" committed SVN revision 1360685 into trunk:
#120180#: "Unname" unused argument to prevent WaE issue.
Comment 2 SVN Robot 2012-07-12 14:03:35 UTC
"paveljanik" committed SVN revision 1360686 into trunk:
#120180#: "Unname" unused arguments to prevent WaE issues.
Comment 3 pavel 2012-07-12 14:04:01 UTC
Fixed on trunk.